summaryrefslogtreecommitdiff
path: root/distro/redhat/etc
diff options
context:
space:
mode:
Diffstat (limited to 'distro/redhat/etc')
-rw-r--r--distro/redhat/etc/init.d/chef-client121
-rw-r--r--distro/redhat/etc/init.d/chef-expander104
-rw-r--r--distro/redhat/etc/init.d/chef-server112
-rw-r--r--distro/redhat/etc/init.d/chef-server-webui112
-rw-r--r--distro/redhat/etc/init.d/chef-solr104
-rw-r--r--distro/redhat/etc/logrotate.d/chef-client8
-rw-r--r--distro/redhat/etc/logrotate.d/chef-expander8
-rw-r--r--distro/redhat/etc/logrotate.d/chef-server8
-rw-r--r--distro/redhat/etc/logrotate.d/chef-server-webui8
-rw-r--r--distro/redhat/etc/logrotate.d/chef-solr8
-rw-r--r--distro/redhat/etc/sysconfig/chef-client15
-rw-r--r--distro/redhat/etc/sysconfig/chef-expander7
-rw-r--r--distro/redhat/etc/sysconfig/chef-server14
-rw-r--r--distro/redhat/etc/sysconfig/chef-server-webui14
-rw-r--r--distro/redhat/etc/sysconfig/chef-solr8
15 files changed, 651 insertions, 0 deletions
diff --git a/distro/redhat/etc/init.d/chef-client b/distro/redhat/etc/init.d/chef-client
new file mode 100644
index 0000000000..fbeaa395c0
--- /dev/null
+++ b/distro/redhat/etc/init.d/chef-client
@@ -0,0 +1,121 @@
+#!/bin/bash
+#
+# chef-client Startup script for the Chef client
+#
+# chkconfig: - 98 02
+# description: Client component of the Chef systems integration framework.
+
+### BEGIN INIT INFO
+# Provides: chef-client
+# Required-Start: $local_fs $network $remote_fs
+# Required-Stop: $local_fs $network $remote_fs
+# Should-Start: $named $time
+# Should-Stop: $named $time
+# Short-Description: Startup script for the Chef client
+# Description: Client component of the Chef systems integration framework.
+### END INIT INFO
+
+# Source function library
+. /etc/init.d/functions
+
+exec="/usr/bin/chef-client"
+prog="chef-client"
+
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+config=${CONFIG-/etc/chef/client.rb}
+pidfile=${PIDFILE-/var/run/chef/client.pid}
+lockfile=${LOCKFILE-/var/lock/subsys/$prog}
+logfile=${LOGFILE-/var/log/chef/client.log}
+interval=${INTERVAL-1800}
+splay=${SPLAY-20}
+options=${OPTIONS-}
+
+start() {
+ [ -x $exec ] || exit 5
+ [ -f $config ] || exit 6
+ echo -n $"Starting $prog: "
+ daemon chef-client -d -c "$config" -L "$logfile" -P "$pidfile" -i "$interval" -s "$splay" "$options"
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && touch $lockfile
+ return $retval
+}
+
+stop() {
+ echo -n $"Stopping $prog: "
+ killproc -p $pidfile chef-client
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && rm -f $lockfile
+ return $retval
+}
+
+restart () {
+ stop
+ start
+}
+
+reload() {
+ echo -n $"Reloading $prog: "
+ killproc -p $pidfile chef-client -HUP
+ retval=$?
+ echo
+ return $retval
+}
+
+run() {
+ echo -n $"Triggering run of $prog: "
+ killproc -p $pidfile chef-client -USR1
+ retval=$?
+ echo
+ return $retval
+}
+
+force_reload() {
+ restart
+}
+
+rh_status() {
+ # run checks to determine if the service is running or use generic status
+ status -p $pidfile $prog
+}
+
+rh_status_q() {
+ rh_status >/dev/null 2>&1
+}
+
+case "$1" in
+ start)
+ rh_status_q && exit 0
+ $1
+ ;;
+ stop)
+ rh_status_q || exit 0
+ $1
+ ;;
+ restart)
+ $1
+ ;;
+ reload)
+ rh_status_q || exit 7
+ $1
+ ;;
+ force-reload)
+ force_reload
+ ;;
+ status)
+ rh_status
+ ;;
+ condrestart|try-restart)
+ rh_status_q || exit 0
+ restart
+ ;;
+ run)
+ $1
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload|run}"
+ exit 2
+esac
+exit $?
diff --git a/distro/redhat/etc/init.d/chef-expander b/distro/redhat/etc/init.d/chef-expander
new file mode 100644
index 0000000000..82ae34dd62
--- /dev/null
+++ b/distro/redhat/etc/init.d/chef-expander
@@ -0,0 +1,104 @@
+#!/bin/bash
+#
+# chef-expander Startup script for the Chef search indexer
+#
+# chkconfig: - 95 05
+# description: Search indexer component of the Chef Server.
+
+### BEGIN INIT INFO
+# Provides: chef-expander
+# Required-Start: $local_fs $network $remote_fs chef-solr rabbitmq-server
+# Required-Stop: $local_fs $network $remote_fs chef-solr rabbitmq-server
+# Should-Start: $named $time
+# Should-Stop: $named $time
+# Short-Description: Startup script for the Chef search indexer
+# Description: Search indexer component of the Chef Server.
+### END INIT INFO
+
+# Source function library
+. /etc/init.d/functions
+
+exec="/usr/bin/chef-expander"
+prog="chef-expander"
+
+[ -f /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+config=${CONFIG-/etc/chef/expander.rb}
+pidfile=${PIDFILE-/var/run/chef/expander.pid}
+lockfile=${LOCKFILE-/var/lock/subsys/$prog}
+logfile=${LOGFILE-/var/log/chef/expander.log}
+options=${OPTIONS-}
+
+start() {
+ [ -x $exec ] || exit 5
+ [ -f $config ] || exit 6
+ echo -n $"Starting $prog: "
+ daemon $prog -d -c "$config" -L "$logfile" -P "$pidfile" "$options"
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && touch $lockfile
+ return $retval
+}
+
+stop() {
+ echo -n $"Stopping $prog: "
+ killproc -p $pidfile $prog
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && rm -f $lockfile
+ return $retval
+}
+
+restart () {
+ stop
+ start
+}
+
+reload() {
+ restart
+}
+
+force_reload() {
+ restart
+}
+
+rh_status() {
+ # run checks to determine if the service is running or use generic status
+ status -p $pidfile $prog
+}
+
+rh_status_q() {
+ rh_status >/dev/null 2>&1
+}
+
+case "$1" in
+ start)
+ rh_status_q && exit 0
+ $1
+ ;;
+ stop)
+ rh_status_q || exit 0
+ $1
+ ;;
+ restart)
+ $1
+ ;;
+ reload)
+ rh_status_q || exit 7
+ $1
+ ;;
+ force-reload)
+ force_reload
+ ;;
+ status)
+ rh_status
+ ;;
+ condrestart|try-restart)
+ rh_status_q || exit 0
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+ exit 2
+esac
+exit $?
diff --git a/distro/redhat/etc/init.d/chef-server b/distro/redhat/etc/init.d/chef-server
new file mode 100644
index 0000000000..44247178b5
--- /dev/null
+++ b/distro/redhat/etc/init.d/chef-server
@@ -0,0 +1,112 @@
+#!/bin/bash
+#
+# chef-server Startup script for chef-server
+#
+# chkconfig: - 96 04
+# description: Server component of the Chef systems integration framework.
+
+### BEGIN INIT INFO
+# Provides: chef-server
+# Required-Start: $local_fs $network $remote_fs chef-solr chef-expander
+# Required-Stop: $local_fs $network $remote_fs chef-solr chef-expander
+# Should-Start: $named $time
+# Should-Stop: $named $time
+# Short-Description: Startup script for chef-server
+# Description: Server component of the Chef systems integration framework.
+### END INIT INFO
+
+# Source function library
+. /etc/init.d/functions
+
+exec="/usr/bin/chef-server"
+prog="chef-server"
+
+[ -f /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+config=${CONFIG-/etc/chef/server.rb}
+pidfile=${PIDFILE-/var/run/chef/server.main.pid}
+lockfile=${LOCKFILE-/var/lock/subsys/$prog}
+logfile=${LOGFILE-/var/log/chef/server.log}
+port=${PORT-4000}
+env=${ENVIRONMENT-production}
+adapter=${ADAPTER-thin}
+childpidfiles=${CHILDPIDFILES-/var/run/chef/server.%s.pid}
+user=${SERVER_USER-chef}
+group=${SERVER_GROUP-chef}
+options=${OPTIONS-}
+
+start() {
+ [ -x $exec ] || exit 5
+ [ -f $config ] || exit 6
+ echo -n $"Starting $prog: "
+ daemon $prog -d -C "$config" -L "$logfile" -p "$port" -e "$env" \
+ -a "$adapter" -P "$childpidfiles" -u "$user" -G "$group" \
+ "$options" "&>/dev/null"
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && touch $lockfile
+ return $retval
+}
+
+stop() {
+ echo -n $"Stopping $prog: "
+ killproc -p $pidfile $prog
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && rm -f $lockfile
+ return $retval
+}
+
+restart () {
+ stop
+ start
+}
+
+reload() {
+ restart
+}
+
+force_reload() {
+ restart
+}
+
+rh_status() {
+ # run checks to determine if the service is running or use generic status
+ status -p $pidfile $prog
+}
+
+rh_status_q() {
+ rh_status >/dev/null 2>&1
+}
+
+case "$1" in
+ start)
+ rh_status_q && exit 0
+ $1
+ ;;
+ stop)
+ rh_status_q || exit 0
+ $1
+ ;;
+ restart)
+ $1
+ ;;
+ reload)
+ rh_status_q || exit 7
+ $1
+ ;;
+ force-reload)
+ force_reload
+ ;;
+ status)
+ rh_status
+ ;;
+ condrestart|try-restart)
+ rh_status_q || exit 0
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+ exit 2
+esac
+exit $?
diff --git a/distro/redhat/etc/init.d/chef-server-webui b/distro/redhat/etc/init.d/chef-server-webui
new file mode 100644
index 0000000000..f26f9c1f9a
--- /dev/null
+++ b/distro/redhat/etc/init.d/chef-server-webui
@@ -0,0 +1,112 @@
+#!/bin/bash
+#
+# chef-server-webui Startup script for chef-server-webui
+#
+# chkconfig: - 97 03
+# description: Server WebUI component of the Chef systems integration framework.
+
+### BEGIN INIT INFO
+# Provides: chef-server-webui
+# Required-Start: $local_fs $network $remote_fs chef-sever
+# Required-Stop: $local_fs $network $remote_fs chef-server
+# Should-Start: $named $time
+# Should-Stop: $named $time
+# Short-Description: Startup script for chef-server-webui
+# Description: Server WebUI component of the Chef systems integration framework.
+### END INIT INFO
+
+# Source function library
+. /etc/init.d/functions
+
+exec="/usr/bin/chef-server-webui"
+prog="chef-server-webui"
+
+[ -f /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+config=${CONFIG-/etc/chef/webui.rb}
+pidfile=${PIDFILE-/var/run/chef/server-webui.main.pid}
+lockfile=${LOCKFILE-/var/lock/subsys/$prog}
+logfile=${LOGFILE-/var/log/chef/server-webui.log}
+port=${PORT-4040}
+env=${ENVIRONMENT-production}
+adapter=${ADAPTER-thin}
+childpidfiles=${CHILDPIDFILES-/var/run/chef/server-webui.%s.pid}
+user=${SERVER_USER-chef}
+group=${SERVER_GROUP-chef}
+options=${OPTIONS-}
+
+start() {
+ [ -x $exec ] || exit 5
+ [ -f $config ] || exit 6
+ echo -n $"Starting $prog: "
+ daemon $prog -d -C "$config" -L "$logfile" -p "$port" -e "$env" \
+ -a "$adapter" -P "$childpidfiles" -u "$user" -G "$group" \
+ "$options" "&>/dev/null"
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && touch $lockfile
+ return $retval
+}
+
+stop() {
+ echo -n $"Stopping $prog: "
+ killproc -p $pidfile $prog
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && rm -f $lockfile
+ return $retval
+}
+
+restart () {
+ stop
+ start
+}
+
+reload() {
+ restart
+}
+
+force_reload() {
+ restart
+}
+
+rh_status() {
+ # run checks to determine if the service is running or use generic status
+ status -p $pidfile $prog
+}
+
+rh_status_q() {
+ rh_status >/dev/null 2>&1
+}
+
+case "$1" in
+ start)
+ rh_status_q && exit 0
+ $1
+ ;;
+ stop)
+ rh_status_q || exit 0
+ $1
+ ;;
+ restart)
+ $1
+ ;;
+ reload)
+ rh_status_q || exit 7
+ $1
+ ;;
+ force-reload)
+ force_reload
+ ;;
+ status)
+ rh_status
+ ;;
+ condrestart|try-restart)
+ rh_status_q || exit 0
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+ exit 2
+esac
+exit $?
diff --git a/distro/redhat/etc/init.d/chef-solr b/distro/redhat/etc/init.d/chef-solr
new file mode 100644
index 0000000000..b75c40f53f
--- /dev/null
+++ b/distro/redhat/etc/init.d/chef-solr
@@ -0,0 +1,104 @@
+#!/bin/bash
+#
+# chef-solr Startup script for the SOLR search engine
+#
+# chkconfig: - 94 06
+# description: SOLR search engine for the Chef Server.
+
+### BEGIN INIT INFO
+# Provides: chef-solr
+# Required-Start: $local_fs $network $remote_fs
+# Required-Stop: $local_fs $network $remote_fs
+# Should-Start: $named $time
+# Should-Stop: $named $time
+# Short-Description: Startup script for the SOLR search engine
+# Description: SOLR search engine for the Chef Server.
+### END INIT INFO
+
+# Source function library
+. /etc/init.d/functions
+
+exec="/usr/bin/chef-solr"
+prog="chef-solr"
+
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+config=${CONFIG-/etc/chef/solr.rb}
+pidfile=${PIDFILE-/var/run/chef/solr.pid}
+lockfile=${LOCKFILE-/var/lock/subsys/$prog}
+logfile=${LOGFILE-/var/log/chef/solr.log}
+options=${OPTIONS-}
+
+start() {
+ [ -x $exec ] || exit 5
+ [ -f $config ] || exit 6
+ echo -n $"Starting $prog: "
+ daemon $prog -d -c "$config" -L "$logfile" -P "$pidfile" "$options"
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && touch $lockfile
+ return $retval
+}
+
+stop() {
+ echo -n $"Stopping $prog: "
+ killproc -p $pidfile $prog
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && rm -f $lockfile
+ return $retval
+}
+
+restart () {
+ stop
+ start
+}
+
+reload() {
+ restart
+}
+
+force_reload() {
+ restart
+}
+
+rh_status() {
+ # run checks to determine if the service is running or use generic status
+ status -p $pidfile $prog
+}
+
+rh_status_q() {
+ rh_status >/dev/null 2>&1
+}
+
+case "$1" in
+ start)
+ rh_status_q && exit 0
+ $1
+ ;;
+ stop)
+ rh_status_q || exit 0
+ $1
+ ;;
+ restart)
+ $1
+ ;;
+ reload)
+ rh_status_q || exit 7
+ $1
+ ;;
+ force-reload)
+ force_reload
+ ;;
+ status)
+ rh_status
+ ;;
+ condrestart|try-restart)
+ rh_status_q || exit 0
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+ exit 2
+esac
+exit $?
diff --git a/distro/redhat/etc/logrotate.d/chef-client b/distro/redhat/etc/logrotate.d/chef-client
new file mode 100644
index 0000000000..5e99edbf9a
--- /dev/null
+++ b/distro/redhat/etc/logrotate.d/chef-client
@@ -0,0 +1,8 @@
+/var/log/chef/client.log {
+ rotate 12
+ weekly
+ compress
+ postrotate
+ /etc/init.d/chef-client condrestart >/dev/null || :
+ endscript
+}
diff --git a/distro/redhat/etc/logrotate.d/chef-expander b/distro/redhat/etc/logrotate.d/chef-expander
new file mode 100644
index 0000000000..d68b479de2
--- /dev/null
+++ b/distro/redhat/etc/logrotate.d/chef-expander
@@ -0,0 +1,8 @@
+/var/log/chef/expander.log {
+ rotate 12
+ weekly
+ compress
+ postrotate
+ /etc/init.d/chef-expander condrestart >/dev/null || :
+ endscript
+}
diff --git a/distro/redhat/etc/logrotate.d/chef-server b/distro/redhat/etc/logrotate.d/chef-server
new file mode 100644
index 0000000000..8e2ebde311
--- /dev/null
+++ b/distro/redhat/etc/logrotate.d/chef-server
@@ -0,0 +1,8 @@
+/var/log/chef/server.log {
+ rotate 12
+ weekly
+ compress
+ postrotate
+ /etc/init.d/chef-server condrestart >/dev/null || :
+ endscript
+}
diff --git a/distro/redhat/etc/logrotate.d/chef-server-webui b/distro/redhat/etc/logrotate.d/chef-server-webui
new file mode 100644
index 0000000000..d8781fe200
--- /dev/null
+++ b/distro/redhat/etc/logrotate.d/chef-server-webui
@@ -0,0 +1,8 @@
+/var/log/chef/server-webui.log {
+ rotate 12
+ weekly
+ compress
+ postrotate
+ /etc/init.d/chef-server-webui condrestart >/dev/null || :
+ endscript
+}
diff --git a/distro/redhat/etc/logrotate.d/chef-solr b/distro/redhat/etc/logrotate.d/chef-solr
new file mode 100644
index 0000000000..54f18fe196
--- /dev/null
+++ b/distro/redhat/etc/logrotate.d/chef-solr
@@ -0,0 +1,8 @@
+/var/log/chef/solr.log {
+ rotate 12
+ weekly
+ compress
+ postrotate
+ /etc/init.d/chef-solr condrestart >/dev/null || :
+ endscript
+}
diff --git a/distro/redhat/etc/sysconfig/chef-client b/distro/redhat/etc/sysconfig/chef-client
new file mode 100644
index 0000000000..c65de74539
--- /dev/null
+++ b/distro/redhat/etc/sysconfig/chef-client
@@ -0,0 +1,15 @@
+# Configuration file for the chef-client service
+
+#CONFIG=/etc/chef/client.rb
+#PIDFILE=/var/run/chef/client.pid
+#LOCKFILE=/var/lock/subsys/chef-client
+#LOGFILE=/var/log/chef/client.log
+# Sleep interval between runs.
+# This value is in seconds.
+#INTERVAL=1800
+# Maximum amount of random delay before starting a run. Prevents every client
+# from contacting the server at the exact same time.
+# This value is in seconds.
+#SPLAY=20
+# Any additional chef-client options.
+#OPTIONS=
diff --git a/distro/redhat/etc/sysconfig/chef-expander b/distro/redhat/etc/sysconfig/chef-expander
new file mode 100644
index 0000000000..9af06d6b3c
--- /dev/null
+++ b/distro/redhat/etc/sysconfig/chef-expander
@@ -0,0 +1,7 @@
+# Configuration file for the chef-expander service
+
+#PIDFILE=/var/run/chef/expander.pid
+#CONFIG=/etc/chef/expander.rb
+#LOGFILE=/var/log/chef/expander.log
+# Any additional chef-expander options.
+OPTIONS="-n 1 -i 1"
diff --git a/distro/redhat/etc/sysconfig/chef-server b/distro/redhat/etc/sysconfig/chef-server
new file mode 100644
index 0000000000..6b18090ba9
--- /dev/null
+++ b/distro/redhat/etc/sysconfig/chef-server
@@ -0,0 +1,14 @@
+# Configuration file for the chef-server service
+
+#CONFIG=/etc/chef/server.rb
+#PIDFILE=/var/run/chef/server.pid
+#LOCKFILE=/var/lock/subsys/chef-server
+#LOGFILE=/var/log/chef/server.log
+#PORT=4000
+#ENVIRONMENT=production
+#ADAPTER=thin
+#CHILDPIDFILES=/var/run/chef/server.%s.pid
+#SERVER_USER=chef
+#SERVER_GROUP=chef
+# Any additional chef-server options.
+#OPTIONS=
diff --git a/distro/redhat/etc/sysconfig/chef-server-webui b/distro/redhat/etc/sysconfig/chef-server-webui
new file mode 100644
index 0000000000..c08df36147
--- /dev/null
+++ b/distro/redhat/etc/sysconfig/chef-server-webui
@@ -0,0 +1,14 @@
+# Configuration file for the chef-server-webui service
+
+#CONFIG=/etc/chef/webui.rb
+#PIDFILE=/var/run/chef/server-webui.pid
+#LOCKFILE=/var/lock/subsys/chef-server-webui
+#LOGFILE=/var/log/chef/server-webui.log
+#PORT=4040
+#ENVIRONMENT=production
+#ADAPTER=thin
+#CHILDPIDFILES=/var/run/chef/server-webui.%s.pid
+#SERVER_USER=chef
+#SERVER_GROUP=chef
+# Any additional chef-server-webui options.
+#OPTIONS=
diff --git a/distro/redhat/etc/sysconfig/chef-solr b/distro/redhat/etc/sysconfig/chef-solr
new file mode 100644
index 0000000000..31d99f1f1c
--- /dev/null
+++ b/distro/redhat/etc/sysconfig/chef-solr
@@ -0,0 +1,8 @@
+# Configuration file for the chef-solr service
+
+#CONFIG=/etc/chef/solr.rb
+#PIDFILE=/var/run/chef/solr.pid
+#LOCKFILE=/var/lock/subsys/chef-solr
+#LOGFILE=/var/log/chef/solr.log
+# Options for Java. Need to start with -j followed by options.
+#OPTIONS="-j "